#
# spec file for package perl-IO-Compress-Lzma
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name IO-Compress-Lzma
Name:           perl-IO-Compress-Lzma
Version:        2.213.0
Release:        1.1
# 2.213 -> normalize -> 2.213.0
%define cpan_version 2.213
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Write lzma files/buffers
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PM/PMQS/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Compress::Raw::Lzma) >= 2.213
BuildRequires:  perl(IO::Compress::Base) >= 2.213
BuildRequires:  perl(IO::Uncompress::Base) >= 2.213
Requires:       perl(Compress::Raw::Lzma) >= 2.213
Requires:       perl(IO::Compress::Base) >= 2.213
Requires:       perl(IO::Uncompress::Base) >= 2.213
Provides:       perl(IO::Compress::Adapter::Lzip) = %{version}
Provides:       perl(IO::Compress::Adapter::Lzma) = %{version}
Provides:       perl(IO::Compress::Adapter::Xz) = %{version}
Provides:       perl(IO::Compress::Lzip) = %{version}
Provides:       perl(IO::Compress::Lzma) = %{version}
Provides:       perl(IO::Compress::Xz) = %{version}
Provides:       perl(IO::Uncompress::Adapter::UnLzip) = %{version}
Provides:       perl(IO::Uncompress::Adapter::UnLzma) = %{version}
Provides:       perl(IO::Uncompress::Adapter::UnXz) = %{version}
Provides:       perl(IO::Uncompress::UnLzip) = %{version}
Provides:       perl(IO::Uncompress::UnLzma) = %{version}
Provides:       perl(IO::Uncompress::UnXz) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
This module provides a Perl interface that allows writing lzma compressed
data to files or buffer.

For reading lzma files/buffers, see the companion module
IO::Uncompress::UnLzma.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes examples README

%changelog
* Sat Aug 31 2024 Tina Müller <timueller+perl@suse.de>
- updated to 2.213.0 (2.213)
  see /usr/share/doc/packages/perl-IO-Compress-Lzma/Changes
    2.213 28 August 2024
  * no functional changes
  * 
* Sun Jun 23 2024 Tina Müller <tina.mueller@suse.com>
- updated to 2.212.0 (2.212)
  see /usr/share/doc/packages/perl-IO-Compress-Lzma/Changes
    2.212 27 April 2024
  * no functional changes
    2.211 6 April 2024
  * version 2.211
    Sat Apr 6 14:15:05 2024 +0100
    46ebf5a6ec843edfb2ba30aa28dffff0f80b4b25
    2.207 18 February 2024
  * No changes
* Wed Jul 26 2023 Tina Müller <timueller+perl@suse.de>
- updated to 2.206
  see /usr/share/doc/packages/perl-IO-Compress-Lzma/Changes
    2.206 25 July 2023
  * 2.206
    Tue, 25 Jul 2023 16:43:53 +0100
    2977e50216b4da234b30472cec886fe327bde180
  * drop rt.cpan from SUPPORT section
    Tue, 18 Jul 2023 09:20:39 +0100
    ddb253cab2f1940ca22f8d791327344627644751
    2.205 16 July 2023
  * 2.205
    Sun, 16 Jul 2023 20:47:24 +0100
    68ea126ed8c3a92529d52a14706a37fbd070fa99
  * add perl 5.38
    Thu, 13 Jul 2023 11:16:42 +0100
    474d82b1ea064afa7ebb3a4d82bfd6cd0bb29c40
  * add on workflow_dispatch
    Fri, 9 Jun 2023 16:27:32 +0100
    1fc7c26c9a3d128cd5df1a161426b5d47f2552f8
  * Add some OO examples
    Fri, 9 Jun 2023 16:19:13 +0100
    f3c9c4d4e40cb0ef685b43256961037dc97f33e8
  * Version 2.204
    Wed, 8 Feb 2023 21:44:49 +0000
    357d62e094f409731e98d32fa028f86826a4e801
* Thu Feb  9 2023 Tina Müller <timueller+perl@suse.de>
- updated to 2.204
  see /usr/share/doc/packages/perl-IO-Compress-Lzma/Changes
* Sun Jun 26 2022 Tina Müller <timueller+perl@suse.de>
- updated to 2.201
  see /usr/share/doc/packages/perl-IO-Compress-Lzma/Changes
    2.201 25 June 2022
  * 2.201
    Sat Jun 25 09:06:51 2022 +0100
    3287f4e9f60e1bc04cf73ef66a73423e08e29acd
  * Add perl 5.36
    Sun Jun 5 13:37:53 2022 +0100
    130eaba57953355c04b0c9a4945530416f05c6cf
    2.103 3 April 2022
  * No changes
* Sun Feb 21 2021 Tina Müller <timueller+perl@suse.de>
- updated to 2.101
  see /usr/share/doc/packages/perl-IO-Compress-Lzma/Changes
    2.101 20 February 2021
  * fix version numbers in meta files
* Fri Jan 15 2021 Frank Schreiner <FSchreiner@suse.com>
- updated to 2.100
  see /usr/share/doc/packages/perl-IO-Compress-Lzma/Changes
* Fri Nov 13 2020 Frank Schreiner <FSchreiner@suse.com>
- updated to 2.093
  see /usr/share/doc/packages/perl-IO-Compress-Lzma/Changes
* Mon Sep  4 2017 coolo@suse.com
- updated to 2.074
  see /usr/share/doc/packages/perl-IO-Compress-Lzma/Changes
    2.074 19 Feb 2017
  * Fix bad 2.073 release
    2.073 18 Feb 2017
  * #120239: [PATCH] ISA fixes for c3
    2.072 4 Feb 2017
  * Makefile.PL
    [#120084]: Need Fix for Makefile.PL depending on . in @INC
    2.070 28 Dec 2016
  * No Changes
    2.069 26 Sep 2015
  * No Changes
* Wed Feb 18 2015 coolo@suse.com
- initial package 2.068
  * created by cpanspec 2.068
